org.eclipse.microprofile.reactive.streams.operators.spi

## Interface Stage.FromCompletionStageNullable

All Superinterfaces:
  Stage

Enclosing interface:
  Stage

    public static interface Stage.FromCompletionStageNullable
    extends Stage

A publisher representation of a `CompletionStage`.

This stage must emit the value produced by the `CompletionStage`, then immediately complete the stream. If the value is `null`, then no element must be emitted, and the stream must be immediately completed. If the `CompletionStage` is redeemed with a failure, the stream must be failed with that failure.

If the stream is cancelled by downstream before the `CompletionStage` has been redeemed, then this stage must do nothing. It must not cancel the `CompletionStage` (since `CompletionStage` offers no API for cancellation), and it must not emit any further signals when the `CompletionStage` is redeemed.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.microprofile.reactive.streams.operators.spi.Stage

`Stage.Cancel, Stage.Collect, Stage.Concat, Stage.Coupled, Stage.Distinct, Stage.DropWhile, Stage.Failed, Stage.Filter, Stage.FindFirst, Stage.FlatMap, Stage.FlatMapCompletionStage, Stage.FlatMapIterable, Stage.FromCompletionStage, Stage.FromCompletionStageNullable, Stage.Limit, Stage.Map, Stage.Of, Stage.OnComplete, Stage.OnError, Stage.OnErrorResume, Stage.OnErrorResumeWith, Stage.OnTerminate, Stage.Peek, Stage.ProcessorStage, Stage.PublisherStage, Stage.Skip, Stage.SubscriberStage, Stage.TakeWhile`

### Method Summary

All Methods Instance Methods Abstract Methods
`CompletionStage<?>` `getCompletionStage()` Get the `CompletionStage`.

### Method Detail

#### getCompletionStage

    CompletionStage<?> getCompletionStage()

Get the `CompletionStage`.

Returns:
  The completion stage.